<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://www.w3.org/2001/XMLSchema"
		targetNamespace="http://www.foo.com/foobar/v1/messages" xmlns:tns="http://www.foo.com/foobar/v1/messages"
		xmlns:foo="http://www.foo.com/foobar/v1"
		elementFormDefault="qualified" attributeFormDefault="unqualified">

	<import namespace="http://www.foo.com/foobar/v1" schemaLocation="Foo.xsd" />

	<element name="CreateFooRequest">
		<annotation>
			<documentation xml:lang="en">
				Request to create Foo element
			</documentation>
		</annotation>

		<complexType>
			<sequence>
				<element name="FooElem" type="foo:Foo" />
			</sequence>
		</complexType>
	</element>

	<element name="CreateFooResponse">
		<annotation>
			<documentation xml:lang="en">
				Foo response contains Id of element
			</documentation>
		</annotation>

		<complexType>
			<sequence>
				<element name="Id" type="string" />
			</sequence>
		</complexType>
	</element>

	<element name="CreateBazRequest">
		<complexType>
			<sequence>
				<element name="BazElem" type="foo:Baz" />
			</sequence>
		</complexType>
	</element>

	<element name="CreateBazResponse">
		<complexType>
			<sequence>
				<element name="Id" type="string" />
			</sequence>
		</complexType>
	</element>

	<element name="CreateBezRequest">
		<complexType>
			<sequence>
				<element name="BezElem" type="foo:Bez" />
			</sequence>
		</complexType>
	</element>

	<element name="CreateBezResponse">
		<complexType>
			<sequence>
				<element name="Id" type="string" />
			</sequence>
		</complexType>
	</element>

	<element name="CreateBizRequest">
		<complexType>
			<sequence>
				<element name="BizElem" type="foo:Biz" />
			</sequence>
		</complexType>
	</element>

	<element name="CreateBizResponse">
		<complexType>
			<sequence>
				<element name="Id" type="string" />
			</sequence>
		</complexType>
	</element>

	<element name="CreateBozRequest">
		<complexType>
			<sequence>
				<element name="BozElem" type="foo:Boz" />
			</sequence>
		</complexType>
	</element>

	<element name="CreateBozResponse">
		<complexType>
			<sequence>
				<element name="Id" type="string" />
			</sequence>
		</complexType>
	</element>

	<element name="CreateBuzRequest">
		<complexType>
			<sequence>
				<element name="BuzElem" type="foo:Buz" />
			</sequence>
		</complexType>
	</element>

	<element name="CreateBuzResponse">
		<complexType>
			<sequence>
				<element name="Id" type="string" />
			</sequence>
		</complexType>
	</element>


	<element name="CreateRecurseChoiceRequest">
		<complexType>
			<sequence>
				<element name="RecurseChoiceElem" type="foo:RecurseChoice" />
			</sequence>
		</complexType>
	</element>

	<element name="CreateRecurseChoiceResponse">
		<complexType>
			<sequence>
				<element name="Id" type="string" />
			</sequence>
		</complexType>
	</element>

	<!-- request/response with type as in wstest.skidata\Services\DTA\dta-interface\v1\indicators-sc\IndicatorServiceMessages.xsd -->
	<complexType name="CreateBarOrBaz">
		<choice>
			<element name="bar" type="foo:Bar"/>
			<element name="baz" type="foo:Baz"/>
		</choice>
	</complexType>

	<complexType name="CreateBarOrBazResponse">
		<sequence>
			<element name="Id" type="string" />
		</sequence>
	</complexType>

	<element name="CreateBarOrBaz" type="tns:CreateBarOrBaz" />
	<element name="CreateBarOrBazResponse" type="tns:CreateBarOrBazResponse" />

	<!-- request/response without named type -->
	<element name="CreateBarOrBazUnnamedType">
		<complexType>
			<choice>
				<element name="bar" type="foo:Bar"/>
				<element name="baz" type="foo:Baz"/>
			</choice>
		</complexType>
	</element>

	<element name="CreateBarOrBazUnnamedTypeResponse">
		<complexType>
			<sequence>
				<element name="Id" type="string" />
			</sequence>
		</complexType>
	</element>

</schema>